// CSS variables / custom properties for base_files/scss/_tiki-pagetop_colors.scss -- Interpolation info from https://developersink.com/css/css-custom-properties-sass-variables/
// Background images (actual images or CSS gradients, etc.), if assigned, override background colors.

// Used for L&F nav color choice and color mode override
@mixin top-nav-dark {
    --tiki-top-bg: #252729;
    --tiki-top-color: rgba(255, 255, 255, 0.7);
    --tiki-top-hover-color: #fff;
    --tiki-top-text-color: #fff;
    --bs-navbar-brand-color: #{$navbar-dark-brand-color};
    --bs-navbar-brand-hover-color: #{$navbar-dark-brand-hover-color};
}

@mixin topbar-nav-dark {
    --tiki-topbar-bg: #252729;
    --tiki-topbar-color: rgba(255, 255, 255, 0.7);
    --tiki-topbar-hover-color: #fff;
    --tiki-topbar-text-color: #fff;
}

@mixin top-nav-light {
    --tiki-top-bg: #F3F6F9;
    --tiki-top-color: #{$navbar-light-color};
    --tiki-top-hover-color: #{$navbar-light-hover-color};
    --tiki-top-text-color: #{$navbar-light-hover-color};
    --bs-navbar-brand-color: #{$navbar-light-brand-color};
    --bs-navbar-brand-hover-color: #{$navbar-light-brand-hover-color};
}

@mixin topbar-nav-light {
    --tiki-topbar-bg: #F3F6F9;
    --tiki-topbar-color: #{$navbar-light-color};
    --tiki-topbar-hover-color: #{$navbar-dark-hover-color};
    --tiki-topbar-text-color: #{$navbar-dark-hover-color};
}

.tiki-top-nav-light {
    @include top-nav-light;
}

.tiki-topbar-nav-light {
    @include topbar-nav-light;
}

.tiki-top-nav-dark {
    @include top-nav-dark;
}

.tiki-topbar-nav-dark {
    @include topbar-nav-dark;
}

// Color mode preference trumps L&F admin light navbar option
[data-bs-theme=dark] {                              // color mode
    .tiki-top-nav-light {                           // light top selector
        @include top-nav-dark;                      // dark values
    }
    .tiki-topbar-nav-light {
        @include topbar-nav-dark;
    }
    --tiki-nav-link-border-left-color: #{$gray-800};
}

// Color mode preference trumps L&F admin dark navbar option
//[data-bs-theme=light] {                              // color mode
//    .tiki-top-nav-dark {                           // dark top selector
//        @include top-nav-light;                      // light values
//    }
//    .tiki-topbar-nav-dark {
//        @include topbar-nav-light;
//    }
//    --tiki-nav-link-border-left-color: #fff;
//}

// - - - - - New admin pages (Unified Admin Backend) - - - - - - - //

// Light navbar minus top nav
@mixin admin-nav-light {
    --tiki-admin-top-nav-bg: #F3F6F9;
    --tiki-admin-top-nav-color: #{$navbar-light-color};
    --tiki-admin-top-nav-hover-color: #{$navbar-light-hover-color};
    --tiki-admin-top-nav-hover-bg: none ;
    --tiki-admin-aside-nav-bg: #F3F6F9;
    --tiki-admin-aside-nav-color: var(--tiki-admin-top-nav-color);
    --tiki-admin-aside-nav-hover-color: var(--tiki-admin-top-nav-hover-color);
    --tiki-admin-dropdown-bg: #{$dropdown-bg};
    --tiki-admin-dropdown-link-color: #{$dropdown-link-color};
    --tiki-admin-dropdown-link-hover-color: #{$dropdown-link-hover-color};
    --tiki-admin-dropdown-link-hover-bg: #{$dropdown-link-hover-bg};
    button.accordion-button {
        color: var(--tiki-admin-aside-nav-color) !important;
        background: var(--tiki-admin-aside-nav-bg) !important;
        font-family: Avenir, Montserrat, Corbel, "URW Gothic", source-sans-pro, sans-serif;
        text-transform: uppercase;
        font-weight: 600;
        font-size: 0.75rem;
    }
}

// Dark navbar minus top nav
@mixin admin-nav-dark {
    --tiki-admin-top-nav-bg: #1a1d20;
    --tiki-admin-top-nav-color: #{$navbar-dark-color};
    --tiki-admin-top-nav-hover-color: #{$navbar-dark-color};
    --tiki-admin-top-nav-hover-bg: #{$navbar-dark-hover-color};
    --tiki-admin-aside-nav-bg: #1a1d20;
    --tiki-admin-aside-nav-color: var(--tiki-admin-top-nav-color);
    --tiki-admin-aside-nav-hover-color: var(--tiki-admin-top-nav-hover-color);
    --tiki-admin-dropdown-link-color: #{$dropdown-dark-link-color};
    --tiki-admin-dropdown-bg: #{$dropdown-dark-bg};
    --tiki-admin-dropdown-link-hover-color: #{$dropdown-dark-link-hover-color};
    --tiki-admin-dropdown-link-hover-bg: #{$dropdown-dark-link-hover-bg};
    button.accordion-button {
        color: var(--tiki-admin-aside-nav-color) !important;
        background: var(--tiki-admin-aside-nav-bg) !important;
        font-family: Avenir, Montserrat, Corbel, "URW Gothic", source-sans-pro, sans-serif;
        text-transform: uppercase;
        font-weight: 600;
        font-size: 0.75rem;
    }
    .accordion-button::after {
        background-image:  url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23669fcc'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e");
    }
    .accordion-item .nav-pills .nav-link {
        color: var(--tiki-admin-top-nav-color) !important;
    }
}

// When color mode switch isn't active
:root {
    .tiki .tiki-admin-top-nav-light, // Legacy
    .tiki.tiki-admin .navbar-light-parent.tiki-top-nav-light, // UAB - Specificity increased to override
    .tiki .tiki-admin-aside-nav-light {
        @include admin-nav-light;
    }
    .tiki .tiki-admin-top-nav-dark,
    .tiki.tiki-admin .navbar-dark-parent.tiki-top-nav-dark, // UAB - Specificity increased to override
    .tiki .tiki-admin-aside-nav-dark {
        @include admin-nav-dark;
    }
}

// Color mode preference trumps L&F admin light navbar option
[data-bs-theme=dark] {                              // dark color mode
    .tiki .tiki-admin-top-nav-light,
    .tiki.tiki-admin .navbar-light-parent.tiki-top-nav-light, // UAB - Specificity increased to override
    .tiki .tiki-admin-aside-nav-light {               // light top selectors
        @include admin-nav-dark;                      // dark values
    }
}
// Color mode preference trumps L&F admin dark navbar option
[data-bs-theme=light] {                              // light color mode
    .tiki .tiki-admin-top-nav-dark,
    .tiki.tiki-admin .navbar-dark-parent.tiki-top-nav-dark, // UAB - Specificity increased to override
    .tiki .tiki-admin-aside-nav-dark {                // dark top selectors
        @include admin-nav-dark;                      // dark values
    }
}

// - - - - - New admin pages (Unified Admin Backend) END - - - - - - - //

[data-bs-theme="dark"] {
    .card {
        background: $dark-bg-subtle-dark;
        border-color: $light-border-subtle-dark;
        .card-header {
            background: $dark-bg-subtle-dark;
            .card-title {
                color: $body-color-dark;
            }
        }
    }
    .col2,
    .col3 {
        .nav-link {
            color: $link-color;
        }
    }
}
